.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH KARMA_HELPER 1 "June 27, 2008"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
karma_helper \- adjusts the state of the Rio Karma
.SH SYNOPSIS
.B karma_helper
.RI [ options ] " files" ...
.SH DESCRIPTION
This manual page documents briefly the
.B karma_helper
command.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
\fBkarma_helper\fP is a program that sends USB commands to the Rio Karma to
modify its state.
.SH OPTIONS
A summary of options is included below.
.TP
.B \-b
Bind driver to device.
.TP
.B \-e
Enter storage mode.
.TP
.B \-h
Show summary of options.
.TP
.B \-i
Retrieve device information string.
.TP
.B \-l
Leave storage mode.
.TP
.B \-r
Reset device (leave "Finished" screen).
.TP
.B \-t
Update time.
.TP
.B \-u
Unbind driver from device.
.SH NOTES
karma_helper requires root priveliges to directly access the USB layer and send
most of the available commands.
.SH SEE ALSO
.BR riocp (1).
.SH AUTHOR
karma_helper was written by Frank Zschockelt <libkarma@freakysoft.de>.
.PP
This manual page was written by Joe Nahmias <jello@debian.org>,
for the Debian project (but may be used by others).
